Bug 1230646 - Not able to create snapshots for geo-replicated volumes when session is created with root user
Summary: Not able to create snapshots for geo-replicated volumes when session is creat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.1.0
Assignee: Kotresh HR
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks: 1202842 1224902 1231789 1233056
TreeView+ depends on / blocked
 
Reported: 2015-06-11 09:24 UTC by Shubhendu Tripathi
Modified: 2015-07-29 05:02 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.1-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1231789 (view as bug list)
Environment:
Last Closed: 2015-07-29 05:02:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Shubhendu Tripathi 2015-06-11 09:24:24 UTC
Description of problem:
When geo-replcation session is created with root user, we are not able to create snapshots for the master volume.

Version-Release number of selected component (if applicable):


How reproducible:
Alway


Steps to Reproduce:
1. Create a geo-replication session between two volumes with root user using RHGS-C. The geo-replication session status is CREATED.
2. Try to create snapshot for master volume
3.

Actual results:
Snippet from log file shows below error


[2015-06-11 06:57:54.688548] E [MSGID: 106031] [glusterd-snapshot.c:5102:glusterd_do_snap_vol] 0-management: Failed to copy geo-rep config and status files for volume vol1
[2015-06-11 06:57:54.688636] W [MSGID: 106071] [glusterd-snapshot.c:2927:glusterd_snap_volume_remove] 0-management: Failed to remove volume 361b1a1e6a8e4a2ab76f49f1dfe9a5a9 from store
[2015-06-11 06:57:54.688691] W [MSGID: 106030] [glusterd-snapshot.c:6616:glusterd_snapshot_create_commit] 0-management: taking the snapshot of the volume vol1 failed
[2015-06-11 06:57:54.688985] E [MSGID: 106030] [glusterd-snapshot.c:7969:glusterd_snapshot] 0-management: Failed to create snapshot
[2015-06-11 06:57:54.689014] W [MSGID: 106123] [glusterd-mgmt.c:242:gd_mgmt_v3_commit_fn] 0-management: Snapshot Commit Failed
[2015-06-11 06:57:54.689032] E [MSGID: 106123] [glusterd-mgmt.c:1240:glusterd_mgmt_v3_commit] 0-management: Commit failed for operation Snapshot on local node
[2015-06-11 06:57:54.689050] E [MSGID: 106123] [glusterd-mgmt.c:2112:glusterd_mgmt_v3_initiate_snap_phases] 0-management: Commit Op Failed
[2015-06-11 06:57:54.765903] I [MSGID: 106057] [glusterd-snapshot.c:6069:glusterd_do_snap_cleanup] 0-management: Snapshot (demo_GMT-2015.06.11-06.57.52) does not exist [Invalid argument]
[2015-06-11 06:58:06.378298] I [glusterd-geo-rep.c:2022:glusterd_get_statefile_name] 0-: Using passed config template(/var/lib/glusterd/geo-replication/vol1_10.70.42.58_vol2/gsyncd.conf).
[2015-06-11 06:57:54.688538] E [MSGID: 106029] [glusterd-snapshot.c:533:glusterd_copy_geo_rep_session_files] 0-management: Session files not present in /var/lib/glusterd/geo-replication/vol1_root@10.70.42.58_vol2 [No such file or directory]
[2015-06-11 06:57:54.688544] E [MSGID: 106029] [glusterd-snapshot.c:741:glusterd_copy_geo_rep_files] 0-management: Failed to copy files related to session vol1_root@10.70.42.58_vol2
[2015-06-11 06:58:54.688948] E [glusterd-syncop.c:1070:_gd_syncop_commit_op_cbk] 0-management: Failed to aggregate response from  node/brick



Expected results:
Snapshot creation should be successful.


Additional info:

Comment 2 Aravinda VK 2015-06-11 10:53:06 UTC
This happens only when "root@slavehost::slavevol" is used in Geo-rep create command instead of just "slavehost::slavevol".

Comment 5 Kotresh HR 2015-06-18 19:10:05 UTC
Upstream Master Patch:
http://review.gluster.org/11233

Upstream 3.7 Patch:
http://review.gluster.org/11310

Downstream Patch:
https://code.engineering.redhat.com/gerrit/#/c/51070/

Comment 6 Rahul Hinduja 2015-07-07 14:29:15 UTC
Verified with build: glusterfs-3.7.1-7.el6rhs.x86_64

(a) Created geo-rep session using root@slave-host::slave-vol 
(b) Started geo-rep session
(c) Paused geo-rep session
(d) Created Snapshot
(e) Listed Snapshot
(f) Activated snapshot
(g) Resumed geo-rep session

All above were successful. Moving the bug to verified state.

Comment 8 Kotresh HR 2015-07-09 09:12:33 UTC
The issues is surfaced only because of RHSC support of geo-replication. Hence giving Doc_text -

Comment 9 errata-xmlrpc 2015-07-29 05:02:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.